FSX

PMDG news and updates

pmdg-logoThe team made the 777 compatible to FSX Steam Edition. That’s why there’s an update SP1d available, and that’s the only reason. The new and full installer download is required, but if you use the original Microsoft FSX, then this SP1d is not mandatory. FS2Crew users will have to apply the panel modification again after having installed the PMDG upgrade.

The PMDG 777 is about to be tested in P3D when Boeing issues their agreement.

For FSX SE, the BAe JS4100 will be made also compatible within a few days. The annoucements can be read on their Facebook timeline.

Comments are closed.